import request from '@/utils/request'


//查询列表
export function listSampling(data){
  return request({
    url:'service/sampling/list',
    method:'get',
    params:data
  })
}
// 删除农户抽样
export function delSampling(id) {
  return request({
    url: '/service/sampling/remove/' + id,
    method: 'get'
  })
}
export function updateSampling(data) {
  return request({
    url: '/service/sampling/edit',
    method: 'post',
    data: data
  })
}
// 查询农户抽样详细
export function getInvestigate(id) {
  return request({
    url: '/service/sampling/getInvestigate/' + id,
    method: 'get'
  })
}
// 新增农户抽样
export function addSampling(data) {
  return request({
    url: '/service/sampling/add',
    method: 'post',
    data: data
  })
}
// 新增农户抽样
export function addInvestigate(data) {
  return request({
    url: '/service/sampling/addInvestigate',
    method: 'post',
    data: data
  })
}
// 修改农户抽样
export function updateInvestigate(data) {
  return request({
    url: '/service/sampling/editInvestigate',
    method: 'post',
    data: data
  })
}
//查询列表
export function listSamplingDept(data){
  return request({
    url:'service/sampling/listSamplingDept',
    method:'get',
    params:data
  })
}
// 修改农户抽样
export function uploadFile(data) {
  return request({
    url: '/service/sampling/ocr/idcard',
    method: 'post',
    data: data
  })
}
// 修改农户抽样
export function uploadFileBase(data) {
  return request({
    url: '/common/upload',
    method: 'post',
    data: data
  })
}
